Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dicsv2.session
Interface DicsSessionService

All Known Implementing Classes:
  DicsSessionServiceImpl

    public interface DicsSessionService

interface with the methods of the dics v2 webservice. Default impl : `DicsSessionServiceImpl` Factory : `DicsSessionServiceFactory`

Method Summary
`FindAmpResponse` | `findAmp(FindAmpRequest findAmpRequest)`
`FindCompanyResponse` | `findCompany(FindCompanyRequest findCompanyRequest)`
`FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest findLegislationTextRequest)`
`FindReferencesResponse` | `findReferences(FindReferencesRequest findReferencesRequest)`
`FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest findReimbursementRequest)`
`FindVmpResponse` | `findVmp(FindVmpRequest findVmpRequest)`

Method Detail

### findAmp

    FindAmpResponse findAmp(FindAmpRequest findAmpRequest)
                            throws TechnicalConnectorException

  Parameters:
    `findAmpRequest` -
  Returns:
    FindAmpResponse
  Throws:
    `TechnicalConnectorException`

### findCompany

    FindCompanyResponse findCompany(FindCompanyRequest findCompanyRequest)
                                    throws TechnicalConnectorException

  Parameters:
    `findCompanyRequest` -
  Returns:
    FindCompanyResponse
  Throws:
    `TechnicalConnectorException`

### findLegislationText

    FindLegislationTextResponse findLegislationText(FindLegislationTextRequest findLegislationTextRequest)
                                                    throws TechnicalConnectorException

  Parameters:
    `findLegislationTextRequest` -
  Returns:
    FindLegislationTextResponse
  Throws:
    `TechnicalConnectorException`

### findReferences

    FindReferencesResponse findReferences(FindReferencesRequest findReferencesRequest)
                                          throws TechnicalConnectorException

  Parameters:
    `findReferencesRequest` -
  Returns:
    FindReferencesResponse
  Throws:
    `TechnicalConnectorException`

### findReimbursement

    FindReimbursementResponse findReimbursement(FindReimbursementRequest findReimbursementRequest)
                                                throws TechnicalConnectorException

  Parameters:
    `findReimbursementRequest` -
  Returns:
    FindReimbursementResponse
  Throws:
    `TechnicalConnectorException`

### findVmp

    FindVmpResponse findVmp(FindVmpRequest findVmpRequest)
                            throws TechnicalConnectorException

  Parameters:
    `findVmpRequest` -
  Returns:
    FindVmpResponse
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.